Bug 1591829 - Networks in a distributed switch take a long time to load when there is alot
Summary: Networks in a distributed switch take a long time to load when there is alot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - VMWare
Version: 6.3.1
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: 6.4.0
Assignee: Chris Roberts
QA Contact: Perry Gagne
URL: https://projects.theforeman.org/issue...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-15 16:36 UTC by Chris Roberts
Modified: 2021-08-03 19:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:30:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 23961 0 High Closed Networks in a distributed switch take a long time to load when there is alot 2020-10-19 15:15:19 UTC

Description Chris Roberts 2018-06-15 16:36:50 UTC
Description of problem:
Networks in a distributed switch take a long time to load when there is alot

Version-Release number of selected component (if applicable):

6.3.1
tfm-rubygem-fog-vsphere-1.7.0-1.el7sat.noarch
foreman 1.15

How reproducible:


Steps to Reproduce:
1. Install sat 6 and connect to VMware compute resource
2. Create a lot of port groups in the distributed switch
3. Watch it take forever

Actual results:

It took more than an hour/2 in the DC with 1000+ networks.
The DC with 400 networks took maybe 20 minutes.
Another one with 21 networks was almost immediate, but one with 35 networks which is over in Singapore took about 10 minutes. 

Expected results:
Much faster time to load the interfaces tab then the timing above

Additional info:

Upstream issue filed here:

https://github.com/fog/fog-vsphere/issues/144

Comment 3 Satellite Program 2018-06-20 20:08:49 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/23961 has been resolved.

Comment 7 Chris Roberts 2018-06-27 18:31:13 UTC
Patch is much faster!

Before:

Create Host:

2018-06-27 13:24:12 39eb9b4c [app] [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"c+j7+uh5EZRmo+BX+XjWE/5lAfoezs8ZW/ZSRuAjDnLt6xO1tL15sV9JSuso+IuuDuCHQzFjzYFjA6S3bWBz0g==", "host"=>{"name"=>"molly-woodlock", "organization_id"=>"1", "location_id"=>"", "hostgroup_id"=>"", "compute_resource_id"=>"1", "content_facet_attributes"=>{"lifecycle_environment_id"=>"", "content_view_id"=>"", "content_source_id"=>""}, "environment_id"=>"", "puppet_proxy_id"=>"", "puppet_ca_proxy_id"=>"", "openscap_proxy_id"=>"", "managed"=>"true", "progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed", "interfaces_attributes"=>{"0"=>{"_destroy"=>"0", "type"=>"Nic::Managed", "mac"=>"", "identifier"=>"", "name"=>"molly-woodlock", "ip"=>"", "ip6"=>"", "managed"=>"1", "primary"=>"1", "provision"=>"1", "execution"=>"1", "virtual"=>"0", "tag"=>"", "attached_to"=>""}}, "compute_attributes"=>{"cpus"=>"1", "corespersocket"=>"1", "memory_mb"=>"768", "firmware"=>"automatic", "cluster"=>"", "path"=>"/Datacenters/Datacenter/vm", "guest_id"=>"otherGuest", "scsi_controller_type"=>"VirtualLsiLogicController", "hardware_version"=>"Default", "memoryHotAddEnabled"=>"0", "cpuHotAddEnabled"=>"0", "add_cdrom"=>"0", "start"=>"1", "annotation"=>"", "volumes_attributes"=>{"0"=>{"_delete"=>"", "datastore"=>"datastore1", "name"=>"Hard disk", "size_gb"=>"10", "thin"=>"true", "eager_zero"=>"false", "mode"=>"persistent"}}}, "architecture_id"=>"", "provision_method"=>"build", "build"=>"1", "disk"=>"", "root_pass"=>"[FILTERED]", "is_owned_by"=>"3-Users", "enabled"=>"1", "model_id"=>"", "comment"=>"", "overwrite"=>"false"}, "capabilities"=>"build image new_volume bootdisk", "provider"=>"Vmware", "fakepassword"=>"[FILTERED]", "bare_metal_capabilities"=>"build"}
2018-06-27 13:24:12 39eb9b4c [app] [I] Current user: admin (administrator)
2018-06-27 13:24:12 39eb9b4c [app] [I] Expire fragment views/tabs_and_title_records-3 (0.1ms)
2018-06-27 13:24:12 39eb9b4c [app] [I] Deface: [WARNING] No :original defined for 'add_execution_interface', you should change its definition to include:
 |  :original => 'c914babc38015fdebf1049da540a2fac14c0673e' 
2018-06-27 13:24:12 39eb9b4c [app] [I]   Rendered nic/_base_form.html.erb (48.6ms)
2018-06-27 13:24:12 39eb9b4c [app] [I]   Rendered nic/_virtual_form.html.erb (3.6ms)

==> /var/log/foreman/production.log <==
2018-06-27 13:24:34 39eb9b4c [app] [I] Loaded compute resource data for networks in 10.974730249 seconds
2018-06-27 13:24:34 39eb9b4c [app] [I]   Rendered compute_resources_vms/form/vmware/_network.html.erb (10990.0ms)
2018-06-27 13:24:34 39eb9b4c [app] [I]   Rendered nic/_provider_specific_form.html.erb (10992.1ms)
2018-06-27 13:24:34 39eb9b4c [app] [I]   Rendered nic/manageds/_managed.html.erb (11028.6ms)
2018-06-27 13:24:34 39eb9b4c [app] [I]   Rendered hosts/_interfaces.html.erb (22444.0ms)
2018-06-27 13:24:34 39eb9b4c [app] [I]   Rendered hosts/_interfaces_tab.html.erb (22447.0ms)
2018-06-27 13:24:34 39eb9b4c [app] [I] Completed 200 OK in 22497ms (Views: 22444.8ms | ActiveRecord: 11.6ms) # Long time

Compute profile load:

==> /var/log/foreman/production.log <==
2018-06-27 13:35:25 a9cb09f9 [app] [I] Loaded compute resource data for networks in 16.463974245 seconds
2018-06-27 13:35:25 a9cb09f9 [app] [I]   Rendered compute_resources_vms/form/vmware/_network.html.erb (16483.6ms)
2018-06-27 13:35:25 a9cb09f9 [app] [I]   Rendered compute_resources_vms/form/_networks.html.erb (42291.2ms)
2018-06-27 13:35:25 a9cb09f9 [app] [I] Loaded compute resource data for storage_pods in 0.089154776 seconds
2018-06-27 13:35:26 a9cb09f9 [app] [I] Loaded compute resource data for datastores in 0.102049925 seconds
2018-06-27 13:35:26 a9cb09f9 [app] [I]   Rendered compute_resources_vms/form/vmware/_volume.html.erb (204.5ms)
2018-06-27 13:35:26 a9cb09f9 [app] [I] Loaded compute resource data for storage_pods in 0.064199738 seconds
2018-06-27 13:35:26 a9cb09f9 [app] [I] Loaded compute resource data for datastores in 0.101515403 seconds
2018-06-27 13:35:26 a9cb09f9 [app] [I]   Rendered compute_resources_vms/form/vmware/_volume.html.erb (171.2ms)
2018-06-27 13:35:26 a9cb09f9 [app] [I]   Rendered compute_resources_vms/form/_volumes.html.erb (383.2ms)
2018-06-27 13:35:26 a9cb09f9 [app] [I]   Rendered compute_attributes/_compute_form.html.erb (42983.4ms)
2018-06-27 13:35:26 a9cb09f9 [app] [I]   Rendered compute_attributes/_form.html.erb (43510.8ms)
2018-06-27 13:35:26 a9cb09f9 [app] [I]   Rendered compute_attributes/new.html.erb (43527.3ms)
2018-06-27 13:35:26 a9cb09f9 [app] [I] Completed 200 OK in 43551ms (Views: 43530.1ms | ActiveRecord: 7.8ms)

After:

Compute profile load:

==> /var/log/foreman/production.log <==
2018-06-27 14:20:47 fe8e3ad4 [app] [I] Loaded compute resource data for networks in 0.253924952 seconds
2018-06-27 14:20:47 fe8e3ad4 [app] [I] Loaded compute resource data for networks in 0.3385468 seconds
2018-06-27 14:20:47 fe8e3ad4 [app] [I]   Rendered compute_resources_vms/form/vmware/_network.html.erb (372.7ms)
2018-06-27 14:20:47 fe8e3ad4 [app] [I]   Rendered compute_resources_vms/form/_networks.html.erb (1018.6ms)
2018-06-27 14:20:47 fe8e3ad4 [app] [I] Loaded compute resource data for storage_pods in 0.083464263 seconds
2018-06-27 14:20:47 fe8e3ad4 [app] [I] Loaded compute resource data for datastores in 0.123371963 seconds
2018-06-27 14:20:47 fe8e3ad4 [app] [I]   Rendered compute_resources_vms/form/vmware/_volume.html.erb (232.1ms)
2018-06-27 14:20:48 fe8e3ad4 [app] [I] Loaded compute resource data for storage_pods in 0.084948923 seconds
2018-06-27 14:20:48 fe8e3ad4 [app] [I] Loaded compute resource data for datastores in 0.118377625 seconds
2018-06-27 14:20:48 fe8e3ad4 [app] [I]   Rendered compute_resources_vms/form/vmware/_volume.html.erb (214.2ms)
2018-06-27 14:20:48 fe8e3ad4 [app] [I]   Rendered compute_resources_vms/form/_volumes.html.erb (456.6ms)
2018-06-27 14:20:48 fe8e3ad4 [app] [I]   Rendered compute_attributes/_compute_form.html.erb (1970.3ms)
2018-06-27 14:20:48 fe8e3ad4 [app] [I]   Rendered compute_attributes/_form.html.erb (2882.7ms)
2018-06-27 14:20:48 fe8e3ad4 [app] [I]   Rendered compute_attributes/edit.html.erb (2900.0ms)
2018-06-27 14:20:48 fe8e3ad4 [app] [I] Completed 200 OK in 2928ms (Views: 2907.3ms | ActiveRecord: 8.7ms)

Create Host:

2018-06-27 14:28:11 3e5af035 [app] [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"Db+eF/uQgKbQqBIUhcUnMVIA2hdcpVv8wbBU36Vj/AuTvHZYp1Tog+lCuKhURXqMooVcrnMIWWT5RaIuKCCBqw==", "host"=>{"name"=>"blake-dunne", "organization_id"=>"1", "location_id"=>"2", "hostgroup_id"=>"1", "compute_resource_id"=>"1", "content_facet_attributes"=>{"lifecycle_environment_id"=>"1", "content_view_id"=>"2", "content_source_id"=>"1", "kickstart_repository_id"=>"4"}, "managed"=>"true", "progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed", "interfaces_attributes"=>{"0"=>{"_destroy"=>"0", "type"=>"Nic::Managed", "mac"=>"", "identifier"=>"", "name"=>"blake-dunne", "domain_id"=>"1", "subnet_id"=>"1", "ip"=>"172.16.100.66", "ip6"=>"", "managed"=>"1", "primary"=>"1", "provision"=>"1", "execution"=>"1", "virtual"=>"0", "tag"=>"", "attached_to"=>""}}, "compute_attributes"=>{"cpus"=>"1", "corespersocket"=>"1", "memory_mb"=>"1024", "firmware"=>"bios", "cluster"=>"Cluster", "resource_pool"=>"Resources", "path"=>"/Datacenters/Datacenter/vm", "guest_id"=>"rhel7_64Guest", "scsi_controller_type"=>"VirtualLsiLogicController", "hardware_version"=>"Default", "memoryHotAddEnabled"=>"0", "cpuHotAddEnabled"=>"0", "add_cdrom"=>"0", "start"=>"1", "annotation"=>"", "volumes_attributes"=>{"0"=>{"_delete"=>"", "datastore"=>"datastore1", "name"=>"Hard disk", "size_gb"=>"20", "thin"=>"true", "eager_zero"=>"false", "mode"=>"persistent"}}}, "architecture_id"=>"1", "operatingsystem_id"=>"1", "provision_method"=>"build", "build"=>"1", "ptable_id"=>"92", "pxe_loader"=>"PXELinux BIOS", "disk"=>"", "root_pass"=>"[FILTERED]", "is_owned_by"=>"3-Users", "enabled"=>"1", "model_id"=>"", "comment"=>"", "overwrite"=>"false"}, "capabilities"=>"build image new_volume bootdisk", "provider"=>"Vmware", "media_selector"=>"synced_content", "fakepassword"=>"[FILTERED]", "bare_metal_capabilities"=>"build"}
2018-06-27 14:28:11 3e5af035 [app] [I] Current user: admin (administrator)
2018-06-27 14:28:11 3e5af035 [app] [I] Expire fragment views/tabs_and_title_records-3 (0.1ms)
2018-06-27 14:28:11 a654e1e3 [app] [I] Completed 200 OK in 26ms (Views: 1.1ms | ActiveRecord: 4.8ms)
2018-06-27 14:28:11 3e5af035 [app] [I] Deface: [WARNING] No :original defined for 'add_execution_interface', you should change its definition to include:
 |  :original => 'c914babc38015fdebf1049da540a2fac14c0673e' 
2018-06-27 14:28:11 3e5af035 [app] [I]   Rendered nic/_base_form.html.erb (135.0ms)
2018-06-27 14:28:11 3e5af035 [app] [I]   Rendered nic/_virtual_form.html.erb (4.9ms)
2018-06-27 14:28:12 3e5af035 [app] [I] Loaded compute resource data for networks in 0.275533036 seconds
2018-06-27 14:28:12 3e5af035 [app] [I]   Rendered compute_resources_vms/form/vmware/_network.html.erb (305.1ms)
2018-06-27 14:28:12 3e5af035 [app] [I]   Rendered nic/_provider_specific_form.html.erb (849.2ms)
2018-06-27 14:28:12 3e5af035 [app] [I]   Rendered nic/manageds/_managed.html.erb (1018.6ms)

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
172.16.100.1 - - [27/Jun/2018:14:28:11 -0400] "POST /hosts/interfaces HTTP/1.1" 200 16538 "https://172.16.100.145/hosts/new" "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/67.0.3396.87 Safari/537.36"

==> /var/log/foreman/production.log <==
2018-06-27 14:28:12 3e5af035 [app] [I]   Rendered nic/_base_form.html.erb (51.4ms)
2018-06-27 14:28:12 3e5af035 [app] [I]   Rendered nic/_virtual_form.html.erb (1.7ms)
2018-06-27 14:28:12 3e5af035 [app] [I] Loaded compute resource data for networks in 0.336689697 seconds
2018-06-27 14:28:12 3e5af035 [app] [I]   Rendered compute_resources_vms/form/vmware/_network.html.erb (367.6ms)
2018-06-27 14:28:12 3e5af035 [app] [I]   Rendered nic/_provider_specific_form.html.erb (370.5ms)
2018-06-27 14:28:12 3e5af035 [app] [I]   Rendered nic/manageds/_managed.html.erb (431.2ms)
2018-06-27 14:28:12 3e5af035 [app] [I]   Rendered hosts/_interfaces.html.erb (1466.2ms)
2018-06-27 14:28:12 3e5af035 [app] [I]   Rendered hosts/_interfaces_tab.html.erb (1469.4ms)
2018-06-27 14:28:12 3e5af035 [app] [I] Completed 200 OK in 1791ms (Views: 1468.3ms | ActiveRecord: 35.4ms)

Comment 8 Satellite Program 2018-07-10 16:08:07 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/23961 has been resolved.

Comment 11 Bryan Kearney 2018-10-16 19:30:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.